'use strict';

const chalk = require('chalk');

module.exports.default = function createLogInfo(color, type) {
  return (msg, ...args) => {
    console.log(chalk[color](`[${type}]: `) + msg, ...args);
  };
};
